﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace WPF_ListBox
{
	public class ExampleViewModel : ViewModelBase
	{
		ObservableCollection<Country> countryList = new ObservableCollection<Country>();

		public ExampleViewModel()
		{
			this.countryList.Add(new Country { CountryName = "Portugal" });
			this.countryList.Add(new Country { CountryName = "Germany" });
			this.countryList.Add(new Country { CountryName = "Spain" });
			this.countryList.Add(new Country { CountryName = "Italy" });
			this.countryList.Add(new Country { CountryName = "Ukraine" });
			this.countryList.Add(new Country { CountryName = "Sweden" });
			this.countryList.Add(new Country { CountryName = "France" });
			this.countryList.Add(new Country { CountryName = "England" });
			this.countryList.Add(new Country { CountryName = "Netherland" });
			this.countryList.Add(new Country { CountryName = "Denmark" });
			this.countryList.Add(new Country { CountryName = "Croatia" });
			this.countryList.Add(new Country { CountryName = "Czech Republic" });
			this.countryList.Add(new Country { CountryName = "Poland" });
			this.countryList.Add(new Country { CountryName = "Greece" });
			this.countryList.Add(new Country { CountryName = "Republic of Ireland" });

			this.selectedCountry = this.countryList[2];
		}

		public ObservableCollection<Country> CountryList
		{
			get
			{
				return this.countryList;
			}
		}

		private Country selectedCountry;
		public Country SelectedCountry
		{
			get
			{
				return this.selectedCountry;
			}
			set
			{
				if (this.selectedCountry != null)
				{
					this.selectedCountry = value;
					this.OnPropertyChanged(() => this.SelectedCountry);
				}
			}
		}
	}

	public class Country
	{
		public string CountryName { get; set; }
	}
}
